Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator.RelayCommand Class Reference

Command class for binding UI commands with view models. More...

Inheritance diagram for Microscopic_Traffic_Simulator.RelayCommand:

## Public Member Functions
| RelayCommand (Action< object > execute)
| Creates a new command that can always execute. More...
| RelayCommand (Action< object > execute, Predicate< object > canExecute)
| Creates a new command. More...
bool | CanExecute (object parameter)
| Method for getting if command is possible to run. More...
virtual void | Execute (object parameter)
| Execute action More...

## Properties
EventHandler | CanExecuteChanged
| For connecting with Command Manager More...

## Detailed Description

Command class for binding UI commands with view models.

Definition at line 10 of file RelayCommand.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator.RelayCommand.RelayCommand | ( | Action< object > | execute | ) |

Creates a new command that can always execute.

Parameters

  execute | The execution logic.

Definition at line 26 of file RelayCommand.cs.

Microscopic_Traffic_Simulator.RelayCommand.RelayCommand | ( | Action< object > | execute,
|  | Predicate< object > | canExecute
| ) |  |

Creates a new command.

Parameters

  execute | The execution logic.
  canExecute | The execution status logic.

Definition at line 33 of file RelayCommand.cs.

## Member Function Documentation

bool Microscopic_Traffic_Simulator.RelayCommand.CanExecute | ( | object | parameter | ) |

Method for getting if command is possible to run.

Parameters

  parameter | Parameter of type object

Returns
  True or False

Definition at line 48 of file RelayCommand.cs.

virtual void Microscopic_Traffic_Simulator.RelayCommand.Execute | ( | object | parameter | ) |
| virtual

Execute action

Parameters

  parameter | Parameter of action

Reimplemented in Microscopic_Traffic_Simulator.ObservableRelayCommand.

Definition at line 66 of file RelayCommand.cs.

## Property Documentation

EventHandler Microscopic_Traffic_Simulator.RelayCommand.CanExecuteChanged
| add remove

For connecting with Command Manager

Definition at line 57 of file RelayCommand.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator/RelayCommand.cs